エラーが発生したbasemapのwhlインストールの続き、basemapまでは入っていないのでWindows10(64bit)/Python3.6でインストールできるか確認していてbasemapのwhlインストールでエラーが出ていた問題。

(C:\Anaconda3) c:\Anaconda3>python -m pip install basemap-1.1.0-cp36-cp36m-win_amd64.whl
Processing c:\basemap-1.1.0-cp36-cp36m-win_amd64.whl
Requirement already satisfied: matplotlib>=1.0.0 in c:\anaconda3\lib\site-packages (from basemap==1.1.0)
Collecting pyproj>=1.9.3 (from basemap==1.1.0)
  Downloading pyproj-1.9.5.1.tar.gz (4.4MB)
    100% |████████████████████████████████| 4.4MB 133kB/s
Exception:
Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 45: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "C:\Anaconda3\lib\site-packages\pip\commands\install.py", line 335, in run
    wb.build(autobuilding=True)
  File "C:\Anaconda3\lib\site-packages\pip\wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 634, in _prepare_file
    abstract_dist.prep_for_dist()
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 129, in prep_for_dist
    self.req_to_install.run_egg_info()
  File "C:\Anaconda3\lib\site-packages\pip\req\req_install.py", line 439, in run_egg_info
    command_desc='python setup.py egg_info')
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 45: invalid start byte


(C:\Anaconda3) c:\Anaconda3>

エラーが出ていたのがpipからwhlの依存関係インストール時で、pyprojsauceのインストールでこけている。
Collecting pyproj>=1.9.3 (from basemap==1.1.0)
  Downloading pyproj-1.9.5.1.tar.gz (4.4MB)
    100% |████████████████████████████████| 4.4MB 133kB/s
Exception:
Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 45: invalid start byte

なので、basemapの前にUnofficial Windows Binaries for Python Extension Packagesからpyproj(pyproj‑1.9.5.1‑cp36‑cp36m‑win_amd64.whl)をローカルダウンロードしてインストール。
(C:\Anaconda3) c:\>python -m pip install pyproj-1.9.5.1-cp36-cp36m-win_amd64.whl
Processing c:\pyproj-1.9.5.1-cp36-cp36m-win_amd64.whl
Installing collected packages: pyproj
Successfully installed pyproj-1.9.5.1
その後、同様にUnofficial Windows Binaries for Python Extension Packagesからダウンロードしたbasemapのwhl(basemap‑1.1.0‑cp36‑cp36m‑win_amd64.whl)をインストール。

今回は正常終了したようです。
(C:\Anaconda3) c:\>python -m pip install basemap-1.1.0-cp36-cp36m-win_amd64.whl
Processing c:\basemap-1.1.0-cp36-cp36m-win_amd64.whl
Collecting pyshp>=1.2.0 (from basemap==1.1.0)
  Using cached pyshp-1.2.11.tar.gz
Requirement already satisfied: matplotlib>=1.0.0 in c:\anaconda3\lib\site-packages (from basemap==1.1.0)
Requirement already satisfied: numpy>=1.2.1 in c:\anaconda3\lib\site-packages (from basemap==1.1.0)
Requirement already satisfied: pyproj>=1.9.3 in c:\anaconda3\lib\site-packages (from basemap==1.1.0)
Requirement already satisfied: six>=1.10 in c:\anaconda3\lib\site-packages (from matplotlib>=1.0.0->basemap==1.1.0)
Requirement already satisfied: python-dateutil in c:\anaconda3\lib\site-packages (from matplotlib>=1.0.0->basemap==1.1.0)
Requirement already satisfied: pytz in c:\anaconda3\lib\site-packages (from matplotlib>=1.0.0->basemap==1.1.0)
Requirement already satisfied: cycler>=0.10 in c:\anaconda3\lib\site-packages (from matplotlib>=1.0.0->basemap==1.1.0)
Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=1.5.6 in c:\anaconda3\lib\site-packages (from matplotlib>=1.0.0->basemap==1.1.0)
Building wheels for collected packages: pyshp
  Running setup.py bdist_wheel for pyshp ... done
  Stored in directory: C:\Users\XXX\AppData\Local\pip\Cache\wheels\b8\a2\56\da058e1e1639061be3399baa32fb82362e2ae1afd8fe0179b0
Successfully built pyshp
Installing collected packages: pyshp, basemap
Successfully installed basemap-1.1.0 pyshp-1.2.11

(C:\Anaconda3) c:\>
import できるかテストしてみます。

(C:\Anaconda3) c:\>python
Python 3.6.0 |Anaconda custom (64-bit)| (default, Dec 23 2016, 11:57:41) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> from mpl_toolkits.basemap import Basemap
>>>
正常にimport 出来ているようです。